Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class LogFileTailPlugin

    java.lang.Object
      net.hyperic.hq.product.GenericPlugin
          net.hyperic.hq.product.LogTrackPlugin
              net.hyperic.hq.product.LogFileTrackPlugin
                  net.hyperic.hq.product.LogFileTailPlugin

Direct Known Subclasses:
  Log4JLogTrackPlugin

public class LogFileTailPlugin
extends LogFileTrackPlugin

Field Summary

Fields inherited from class net.hyperic.hq.product.LogFileTrackPlugin
`PROP_FILES_PLATFORM, PROP_FILES_SERVER, PROP_FILES_SERVICE`

Fields inherited from class net.hyperic.hq.product.LogTrackPlugin
`LOGLEVEL_DEBUG, LOGLEVEL_DEBUG_LABEL, LOGLEVEL_ERROR, LOGLEVEL_ERROR_LABEL, LOGLEVEL_INFO, LOGLEVEL_INFO_LABEL, LOGLEVEL_WARN, LOGLEVEL_WARN_LABEL`

Fields inherited from class net.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`LogFileTailPlugin()`

Method Summary
`void` `configure(ConfigResponse config)`
`TrackEvent` `processLine(net.hyperic.sigar.FileInfo info, java.lang.String line)`
`void` `shutdown()` Called when the server or agent is shutdown.

Methods inherited from class net.hyperic.hq.product.LogFileTrackPlugin
`getConfigSchema, getDefaultLogFile, getFiles, getFilesOption`

Methods inherited from class net.hyperic.hq.product.LogTrackPlugin
`getEnableOption, getLogLevel, getLogLevel, getLogLevelAliases, getLogLevelLabel, getLogLevelMap, getLogLevels, getManager, getPatternOption, init, isEnabled, messageMatches, newTrackEvent, newTrackEvent, reportEvent, setEnabled, setLogLevel, shouldDebugLog, shouldLog, stripNewLines, supportsLogLevels, supportsPatternMatching`

Methods inherited from class net.hyperic.hq.product.GenericPlugin

`getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getName, getPlatformName, getPluginClassName, getProductPlugin, getProperties, getProperty, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperty, getTypeProperty, getTypeProperty, isWin32, openResource, setName, setTypeInfo, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogFileTailPlugin

    public LogFileTailPlugin()

Method Detail

### processLine

    public TrackEvent processLine(net.hyperic.sigar.FileInfo info,
                                  java.lang.String line)

### configure

    public void configure(ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `LogTrackPlugin`
  Throws:
    `PluginException`

### shutdown

    public void shutdown()
                  throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the server or agent is shutdown. Use this method to cleanup any resources that were created during the init() method.

  Overrides:
    `shutdown` in class `GenericPlugin`
  Throws:
    `PluginException`

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.